Oops. xfork() moved to portability.c and the config2help.c build wasn't including that. (Worked until I did a "make clean".)
diff --git a/scripts/make.sh b/scripts/make.sh
index 4430e3b..df74011 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -209,7 +209,7 @@
 if [ generated/config2help -ot scripts/config2help.c ]
 then
   do_loudly $HOSTCC scripts/config2help.c -I . lib/xwrap.c lib/llist.c \
-    lib/lib.c -o generated/config2help || exit 1
+    lib/lib.c lib/portability.c -o generated/config2help || exit 1
 fi
 generated/config2help Config.in $KCONFIG_CONFIG > generated/help.h || exit 1